Subject: Re: [PATCH 17/19] environment: move compression level into repo settings

From: Junio C Hamano <[email-masked]>
Date: Thu, 17 Jul 2025 08:56:06 -0700

Phillip Wood <[email-masked]> writes:

> Hi Patrick
>
> On 16/07/2025 13:56, Patrick Steinhardt wrote:
>> On Tue, Jul 15, 2025 at 06:12:18PM +0200, Patrick Steinhardt wrote:
>>>
>>> Hm, yeah, I think adding it to `repo_config()` might be a viable
>>> approach. I'll give it a try tomorrow and see what breaks :)
>> The answer is "quite a lot". I'm now 15 patches deep to try and fix
>> this and am nowhere close to a working state yet. The single biggest
>> issue is `core.shared_repository`, which is used in a ton of places and
>> which causes all kinds of pain.
>
> That's a shame
>> I think I'll stop working on this for now, and would rather like to drop
>> the last three patches from this series so that we can move forward with
>> it.
>
> That sounds sensible
>
> Thanks
>
> Phillip

Yeah, thanks for taking a look.  I think shrinking the size of the
series is sensible.  It is easier to manage larger number of smaller
patch series than a single large series.

Thanks, both.